PUT /rest/datev/lohnart-mappings?provider=datev|agenda
curl --request PUT \
--url https://{tenant}.stamp.eu/rest/datev/lohnart-mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mappings": [
{
"time_category": "<string>",
"lohnart_nummer": "<string>",
"label": "<string>",
"ausfall_schluessel": "<string>",
"absence_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://{tenant}.stamp.eu/rest/datev/lohnart-mappings"
payload = { "mappings": [
{
"time_category": "<string>",
"lohnart_nummer": "<string>",
"label": "<string>",
"ausfall_schluessel": "<string>",
"absence_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mappings: [
{
time_category: '<string>',
lohnart_nummer: '<string>',
label: '<string>',
ausfall_schluessel: '<string>',
absence_type_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://{tenant}.stamp.eu/rest/datev/lohnart-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"provider": "<string>",
"time_category": "<string>",
"absence_type_id": "<string>",
"lohnart_nummer": "<string>",
"ausfall_schluessel": "<string>",
"label": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}DATEV-Integration
Lohnarten-Zuordnungen aktualisieren
Bulk upsert: syncs the full set of mappings for one provider.
PUT
/
datev
/
lohnart-mappings
PUT /rest/datev/lohnart-mappings?provider=datev|agenda
⌘I